Skip to main content
`Ctrl`+`K`

# PetscDualSpaceDestroy

Destroys a `PetscDualSpace` object

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDestroy(PetscDualSpace *sp)

Collective

## Input Parameter

- sp - the `PetscDualSpace` object to destroy

## See Also

`PetscDualSpace`, `PetscDualSpaceView()`, `PetscDualSpace()`, `PetscDualSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

## Implementations

PetscDualSpaceDestroy_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDestroy_Refined() in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceDestroy_Simple() in src/dm/dt/dualspace/impls/simple/dspacesimple.c
PetscDualSpaceDestroy_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages